Retrieves all the job_priority objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9bdef604-af15-4166-8707-dc63986b7316",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "169ab2b6-c58d-4241-bae5-232504f7c1c7",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "50daf89f-3da0-42f0-92b3-69dda8332223",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "bcb4a386-535c-4a02-9f0b-a8acda7da149",
    "db_currency_id": "b67a9ea1-0ded-4311-973a-828c950eeaca",
    "db_language_id": "7862c643-59d1-4592-9ec3-dd68d47f53fe",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-26T16:33:27.3122673+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-10-26T16:33:27.3122673+00:00"
}